@echo off

:check
if exist game.bak goto fix
goto start

:fix
rename game.con game.tim
rename game.bak game.con
echo Your copy of Duke has been fixed, choose [Q]uit if you do not wish to play TIME
pause

:change

:start
echo.
echo. 
echo.
echo                             FORKLIFT PRODUCTIONS'
echo.
echo                       TTTTTTT  IIIII  MM   MM  EEEEEE
echo                          T       I    M M M M  E
echo                          T       I    M  M  M  EEEEE
echo                          T       I    M     M  E
echo                          T     IIIII  M     M  EEEEEE
echo.
echo                             v 1.2 (discontinued)
echo.              
echo.
echo                                   [P]lay
echo                                   [S]etup                   
echo                                   [Q]uit
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
choice /n /c:psbeq /t:s,60
if errorlevel 5 goto quit
if errorlevel 4 goto art
if errorlevel 3 goto build
if errorlevel 2 goto setup
if errorlevel 1 goto play

:art
echo Editart
rename game.con game.bak
rename game.tim game.con
editart
rename game.con game.tim
rename game.bak game.con
goto start

:setup
echo Setup
rename game.con game.bak
rename game.tim game.con
setup /gTIME12.GRP
rename game.con game.tim
rename game.bak game.con
goto start

:build
echo Build
rename game.con game.bak
rename game.tim game.con
build
rename game.con game.tim
rename game.bak game.con
goto start

:play
echo Play
rename game.con game.bak
rename game.tim game.con
duke3d /gTIME12.GRP
rename game.con game.tim
rename game.bak game.con
goto start

:quit


echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo             We hope you enjoyed TIME by Forklift Productions.
echo            If you have not already, please see our website at: 
echo                              superjer.com
echo.
echo             If you have any questions, comments or complaints
echo               you may E-mail us at: superjer@superjer.com
echo.
echo.
echo.
echo.
echo         Note Added Dec 30 2000: Work on the TIME Total Conversion
echo         has been stopped. This is the last version available. D3D
echo         has gotten too difficult to edit over the years and is,
echo         unfortunately, very outdated.
echo.
echo         Have you played the prequel yet? It is entirely finished 
echo         and can be downloaded from [SuperJer.com].
echo.
echo.
pause







